<?php
/* Plugin Name: Football Leagues
Plugin URI: http://www.jollyodds.com
Description: Top 4 European football league tables. All 4 leagues are updates approximately every 30 minutes and will update the plugin via external xml files provided by jollyodds.com.
Version: 1.01
Author: Brian Hamilton
Author URI: http://www.jollyodds.com
License: GPL2
*/
 
// creating a widget
class FootballLeagues extends WP_Widget {
 
function FootballLeagues() {
        $widget_ops = array(
        'classname' => 'FootballLeagues',
        'description' => 'Top 4 European football league tables.'
);
$this->WP_Widget(
        'FootballLeagues',
        'Football League Tables',
        $widget_ops
);
}



  function form($instance)
  {
    $instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
    $title = $instance['title'];
	$select = esc_attr($instance['select']);

?>
  <p><label for="<?php echo $this->get_field_id('title'); ?>">Title: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo attribute_escape($title); ?>" /></label></p>

<?php
  }


function widget($args, $instance) { // widget sidebar output
	extract($args, EXTR_SKIP);
 
    echo $before_widget;
    $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
	$select = $instance['select'];
 
    if (!empty($title))
      echo $before_title . $title . $after_title;;


function make_leagues() {
 
// Now we enqueue our stylesheet and jQuery script
if (!defined('MYPLUGIN_PLUGIN_URL'))
    define('MYPLUGIN_PLUGIN_URL', WP_PLUGIN_URL . '/' . 'football-leagues');

$image = MYPLUGIN_PLUGIN_URL . '/images/premier_league.png';
$image2 = MYPLUGIN_PLUGIN_URL . '/images/bundesliga_league.png';
$image3 = MYPLUGIN_PLUGIN_URL . '/images/Serie_A_league.png';
$image4 = MYPLUGIN_PLUGIN_URL . '/images/primera_league.png';	
 
wp_register_style('football-leagues-style', plugins_url('football-leagues.css', __FILE__));
wp_register_script('football-leagues-js', plugins_url('football-leagues.js', __FILE__), array('jquery'));
wp_enqueue_style('football-leagues-style');
wp_enqueue_script('football-leagues-js');
$englands = simplexml_load_file('http://www.jollyodds.com/Leagues/england-premier-league.xml');
$spains = simplexml_load_file('http://www.jollyodds.com/Leagues/spain-primera.xml');
$italys = simplexml_load_file('http://www.jollyodds.com/Leagues/italy-seria-a.xml');
$germanys = simplexml_load_file('http://www.jollyodds.com/Leagues/germany-bundesliga.xml');
$oddeven = "O";
 
// Creating tabs you will be adding you own code inside each tab
?>


<div class="box">
<div id="pagewrap"> 
<ul id="briansnavlistul" class="tabs">

<?php
echo "<li class=\"active\"><a href=\"#tab1\"><img src=\"",$image,"\" alt=\"Premier League\"></a></li>";
echo "<li><a href=\"#tab2\"><img src=\"",$image2,"\" alt=\"Premier League\"></a></li>";
echo "<li><a href=\"#tab3\"><img src=\"",$image3,"\" alt=\"Premier League\"></a></li>";
echo "<li><a href=\"#tab4\"><img src=\"",$image4,"\" alt=\"Premier League\"></a></li>";
?>
</ul>
</div>
</div>

<div class="tab_container">
<div id="tab1"  class="tab_content">
<div class="datagrid"><table>
<thead><tr><th>Team</th><th>P</th><th>+/-</th><th>Pts</th></tr></thead>
<tbody>
<?php
	foreach ($englands as $england):
        $matches=$england->MP;
        $points=$england->P;
	$goaldiff=$england->Diff;
        $team=$england['name'];
	
	if ($oddeven=="O"){
	echo "<tr><td>",$team,"</td><td>",$matches,"</td><td>",$goaldiff,"</td><td>",$points,"</td></tr>";
	$oddeven="E";
	  }
	else
	  {
	echo "<tr class=\"alt\"><td>",$team,"</td><td>",$matches,"</td><td>",$goaldiff,"</td><td>",$points,"</td></tr>";
	$oddeven="O";
	}

    	endforeach;
?>
</tbody>
</table></div>
</div>

<div id="tab2" class="tab_content" style="display:none;">
<div class="datagrid"><table>
<thead><tr><th>Team</th><th>P</th><th>+/-</th><th>Pts</th></tr></thead>
<tbody>
<?php
	foreach ($germanys as $germany):
        $matches2=$germany->MP;
        $points2=$germany->P;
	$goaldiff2=$germany->Diff;
        $team2=$germany['name'];
	
	if ($oddeven=="O"){
	echo "<tr><td>",$team2,"</td><td>",$matches2,"</td><td>",$goaldiff2,"</td><td>",$points2,"</td></tr>";
	$oddeven="E";
	  }
	else
	  {
	echo "<tr class=\"alt\"><td>",$team2,"</td><td>",$matches2,"</td><td>",$goaldiff2,"</td><td>",$points2,"</td></tr>";
	$oddeven="O";
	}

    	endforeach;
?>
</tbody>
</table></div>
</div>


<div id="tab3" class="tab_content" style="display:none;">
<div class="datagrid"><table>
<thead><tr><th>Team</th><th>P</th><th>+/-</th><th>Pts</th></tr></thead>
<tbody>
<?php
	foreach ($italys as $italy):
        $matches3=$italy->MP;
        $points3=$italy->P;
	$goaldiff3=$italy->Diff;
        $team3=$italy['name'];
	
	if ($oddeven=="O"){
	echo "<tr><td>",$team3,"</td><td>",$matches3,"</td><td>",$goaldiff3,"</td><td>",$points3,"</td></tr>";
	$oddeven="E";
	  }
	else
	  {
	echo "<tr class=\"alt\"><td>",$team3,"</td><td>",$matches3,"</td><td>",$goaldiff3,"</td><td>",$points3,"</td></tr>";
	$oddeven="O";
	}

    	endforeach;
?>
</tbody>
</table></div>
</div>


<div id="tab4" class="tab_content" style="display:none;">
<div class="datagrid"><table>
<thead><tr><th>Team</th><th>P</th><th>+/-</th><th>Pts</th></tr></thead>
<tbody>
<?php
	foreach ($spains as $spain):
        $matches4=$spain->MP;
        $points4=$spain->P;
	$goaldiff4=$spain->Diff;
        $team4=$spain['name'];
	
	if ($oddeven=="O"){
	echo "<tr><td>",$team4,"</td><td>",$matches4,"</td><td>",$goaldiff4,"</td><td>",$points4,"</td></tr>";
	$oddeven="E";
	  }
	else
	  {
	echo "<tr class=\"alt\"><td>",$team4,"</td><td>",$matches4,"</td><td>",$goaldiff4,"</td><td>",$points4,"</td></tr>";
	$oddeven="O";
	}

    	endforeach;
?>
</tbody>
</table></div>
</div>
</div>

 

 
<?php
 
}
 
extract($args, EXTR_SKIP);
// pre-widget code from theme
echo $before_widget;
$tabs = make_leagues();
// output tabs HTML
echo $tabs;
// post-widget code from theme
echo $after_widget;
}
}
 
// registering and loading widget
add_action(
'widgets_init',
create_function('','return register_widget("FootballLeagues");')
);
?>